package com.ruoyi.common.core.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * @Description:
 * @Author: wenhao
 * @Create: 2025/03/31 21:02
 * @Version: 1.0
 */
@Getter
@AllArgsConstructor
public enum GradeTypeEnum implements BaseValidEnum<String> {
    /**
     * 输入（无限制的）
     */
    INPUT_ARBITRARY("1", "输入（无限制的）"),
    /**
     * 下拉
     */
    PULL_DOWN("2", "下拉（包括：分值、是/否、有/无、合格/不合格）"),
    /**
     * 限制输入分值（整数）
     */
    INPUT_SCORE_INTEGER("3", "限制输入分值（整数）"),
    /**
     * 限制输入分值（小数）
     */
    INPUT_SCORE_DECIMAL("4", "限制输入分值（小数）"),
    /**
     * 联动数据-关联数据
     */
    LINKED_DATA("5", "联动数据-关联数据（场景：详评直接关联初评某一列的数据）"),
    /**
     * 联动数据-原始数据
     */
    ORIGINAL_DATA("6", "联动数据-原始数据（场景：输入的初评数据直接赋值给详评）");

    private final String code;

    private final String desc;

}
